Package com.ads.mm.etl.xml.mapping

# Class MMMappingTransformation

java.lang.Object
com.ads.mm.etl.xml.mapping.MMMappingTransformation

public class MMMappingTransformation extends Object

Author:
  Syed Abdul Rahim

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMMappingTransformation(MMMapping mapping)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addKeyValue(String key, String val)`
  `void`
  `addSourceColumn(MMDBColumn srcColumn)`
  `void`
  `addTargetColumn(MMDBColumn tgtColumn)`
  `static MMDBColumn`
  `findFirstValidColumn(ArrayList<MMDBColumn> columnsList)`
  `String`
  `getBusinessRule()`
  `String`
  `getBussinessRule()`
  Deprecated.
  Since v9.0
  `String`
  `getCodesetMappingName()`
  `String`
  `getCreatedBy()`
  `Date`
  `getCreatedDateTime()`
  `static MMMappingTransformation`
  `getEmptyTransformation()`
  `String`
  `getExtendedBusinessRule()`
  `ArrayList<MMDBColumn>`
  `getInputColumns()`
  `HashMap<String,String>`
  `getKeyValues()`
  `String`
  `getLastModifiedBy()`
  `Date`
  `getLastModifiedDateTime()`
  `String`
  `getLookupColumn()`
  `String`
  `getLookupOn()`
  `MMDBColumn`
  `getOrphanColumn()`
  `ArrayList<MMDBColumn>`
  `getOutputColumns()`
  `String`
  `getPsuedoCode()`
  `String`
  `getRdmReferenceTable()`
  `String`
  `getRowComments()`
  `float`
  `getRowOrder()`
  `int`
  `getSequenceId()`
  `String`
  `getSpecificationArtifacts()`
  `String`
  `getTransLookupCondition()`
  `String`
  `getUserDefined1()`
  `String`
  `getUserDefined10()`
  `String`
  `getUserDefined11()`
  `String`
  `getUserDefined12()`
  `String`
  `getUserDefined13()`
  `String`
  `getUserDefined14()`
  `String`
  `getUserDefined15()`
  `String`
  `getUserDefined16()`
  `String`
  `getUserDefined17()`
  `String`
  `getUserDefined18()`
  `String`
  `getUserDefined19()`
  `String`
  `getUserDefined2()`
  `String`
  `getUserDefined20()`
  `String`
  `getUserDefined21()`
  `String`
  `getUserDefined22()`
  `String`
  `getUserDefined23()`
  `String`
  `getUserDefined24()`
  `String`
  `getUserDefined25()`
  `String`
  `getUserDefined26()`
  `String`
  `getUserDefined27()`
  `String`
  `getUserDefined28()`
  `String`
  `getUserDefined29()`
  `String`
  `getUserDefined3()`
  `String`
  `getUserDefined30()`
  `String`
  `getUserDefined31()`
  `String`
  `getUserDefined32()`
  `String`
  `getUserDefined33()`
  `String`
  `getUserDefined34()`
  `String`
  `getUserDefined35()`
  `String`
  `getUserDefined36()`
  `String`
  `getUserDefined37()`
  `String`
  `getUserDefined38()`
  `String`
  `getUserDefined39()`
  `String`
  `getUserDefined4()`
  `String`
  `getUserDefined40()`
  `String`
  `getUserDefined41()`
  `String`
  `getUserDefined42()`
  `String`
  `getUserDefined43()`
  `String`
  `getUserDefined44()`
  `String`
  `getUserDefined45()`
  `String`
  `getUserDefined46()`
  `String`
  `getUserDefined47()`
  `String`
  `getUserDefined48()`
  `String`
  `getUserDefined49()`
  `String`
  `getUserDefined5()`
  `String`
  `getUserDefined50()`
  `String`
  `getUserDefined6()`
  `String`
  `getUserDefined7()`
  `String`
  `getUserDefined8()`
  `String`
  `getUserDefined9()`
  `boolean`
  `isLookupUsed()`
  `boolean`
  `isRowStatus()`
  `void`
  `removeKeyValue(String key)`
  `void`
  `setBusinessRule(String businessRule)`
  `void`
  `setBussinessRule(String bussinessRule)`
  Deprecated.
  Since v9.0
  `void`
  `setCodesetMappingName(String codesetMappingName)`
  `void`
  `setCreatedBy(String createdBy)`
  `void`
  `setCreatedDateTime(Date createdDateTime)`
  `void`
  `setExtendedBusinessRule(String extendedBusinessRule)`
  `void`
  `setInputColumns(ArrayList<MMDBColumn> inputColumns)`
  `void`
  `setKeyValues(HashMap<String,String> hmKV)`
  `void`
  `setLastModifiedBy(String lastModifiedBy)`
  `void`
  `setLastModifiedDateTime(Date lastModifiedDateTime)`
  `void`
  `setLookupColumn(String lookupColumn)`
  `void`
  `setLookupOn(String lookupOn)`
  `void`
  `setLookupUsed()`
  `void`
  `setLookupUsed(boolean lookupUsed)`
  `void`
  `setMapping(MMMapping mapping)`
  `void`
  `setOrphanColumn(MMDBColumn orphanSource)`
  `void`
  `setOutputColumns(ArrayList<MMDBColumn> outputColumns)`
  `void`
  `setPseudoCode(String pseudoCode)`
  `void`
  `setRdmReferenceTable(String rdmReferenceTable)`
  `void`
  `setRowComments(String rowComments)`
  `void`
  `setRowOrder(float rowOrder)`
  `void`
  `setRowStatus(boolean rowStatus)`
  `void`
  `setSequenceId(int sequenceId)`
  `void`
  `setSpecificationArtifacts(String specificationArtifacts)`
  `void`
  `setTransLookupCondition(String transLookupCondition)`
  `void`
  `setUserDefined1(String userDefined1)`
  `void`
  `setUserDefined10(String userDefined10)`
  `void`
  `setUserDefined11(String userDefined11)`
  `void`
  `setUserDefined12(String userDefined12)`
  `void`
  `setUserDefined13(String userDefined13)`
  `void`
  `setUserDefined14(String userDefined14)`
  `void`
  `setUserDefined15(String userDefined15)`
  `void`
  `setUserDefined16(String userDefined16)`
  `void`
  `setUserDefined17(String userDefined17)`
  `void`
  `setUserDefined18(String userDefined18)`
  `void`
  `setUserDefined19(String userDefined19)`
  `void`
  `setUserDefined2(String userDefined2)`
  `void`
  `setUserDefined20(String userDefined20)`
  `void`
  `setUserDefined21(String userDefined21)`
  `void`
  `setUserDefined22(String userDefined22)`
  `void`
  `setUserDefined23(String userDefined23)`
  `void`
  `setUserDefined24(String userDefined24)`
  `void`
  `setUserDefined25(String userDefined25)`
  `void`
  `setUserDefined26(String userDefined26)`
  `void`
  `setUserDefined27(String userDefined27)`
  `void`
  `setUserDefined28(String userDefined28)`
  `void`
  `setUserDefined29(String userDefined29)`
  `void`
  `setUserDefined3(String userDefined3)`
  `void`
  `setUserDefined30(String userDefined30)`
  `void`
  `setUserDefined31(String userDefined31)`
  `void`
  `setUserDefined32(String userDefined32)`
  `void`
  `setUserDefined33(String userDefined33)`
  `void`
  `setUserDefined34(String userDefined34)`
  `void`
  `setUserDefined35(String userDefined35)`
  `void`
  `setUserDefined36(String userDefined36)`
  `void`
  `setUserDefined37(String userDefined37)`
  `void`
  `setUserDefined38(String userDefined38)`
  `void`
  `setUserDefined39(String userDefined39)`
  `void`
  `setUserDefined4(String userDefined4)`
  `void`
  `setUserDefined40(String userDefined40)`
  `void`
  `setUserDefined41(String userDefined41)`
  `void`
  `setUserDefined42(String userDefined42)`
  `void`
  `setUserDefined43(String userDefined43)`
  `void`
  `setUserDefined44(String userDefined44)`
  `void`
  `setUserDefined45(String userDefined45)`
  `void`
  `setUserDefined46(String userDefined46)`
  `void`
  `setUserDefined47(String userDefined47)`
  `void`
  `setUserDefined48(String userDefined48)`
  `void`
  `setUserDefined49(String userDefined49)`
  `void`
  `setUserDefined5(String userDefined5)`
  `void`
  `setUserDefined50(String userDefined50)`
  `void`
  `setUserDefined6(String userDefined6)`
  `void`
  `setUserDefined7(String userDefined7)`
  `void`
  `setUserDefined8(String userDefined8)`
  `void`
  `setUserDefined9(String userDefined9)`
  `String`
  `toString()`
  `void`
  `toString(StringBuilder sbu)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MMMappingTransformation

    public MMMappingTransformation(MMMapping mapping)

- ## Method Details

  - ### getEmptyTransformation

    public static MMMappingTransformation getEmptyTransformation()

  - ### findFirstValidColumn

    public static MMDBColumn findFirstValidColumn(ArrayList<MMDBColumn> columnsList)

  - ### getOutputColumns

    public ArrayList<MMDBColumn> getOutputColumns()
    Returns:
      the _outputColumns

  - ### setOutputColumns

    public void setOutputColumns(ArrayList<MMDBColumn> outputColumns)
    Parameters:
      `outputColumns` - the _outputColumns to set

  - ### getInputColumns

    public ArrayList<MMDBColumn> getInputColumns()
    Returns:
      the _inputColumns

  - ### setInputColumns

    public void setInputColumns(ArrayList<MMDBColumn> inputColumns)
    Parameters:
      `inputColumns` - the _inputColumns to set

  - ### getBussinessRule

    public String getBussinessRule()
    Deprecated.
    Since v9.0
    Returns:
      the bussinessRule

  - ### setBussinessRule

    public void setBussinessRule(String bussinessRule)
    Deprecated.
    Since v9.0
    Parameters:
      `bussinessRule` - the businessRule to set

  - ### getBusinessRule

    public String getBusinessRule()
    Returns:
      the businessRule

  - ### setBusinessRule

    public void setBusinessRule(String businessRule)
    Parameters:
      `businessRule` - the businessRule to set

  - ### addSourceColumn

    public void addSourceColumn(MMDBColumn srcColumn)

  - ### addTargetColumn

    public void addTargetColumn(MMDBColumn tgtColumn)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public void toString(StringBuilder sbu)

  - ### getOrphanColumn

    public MMDBColumn getOrphanColumn()
    Returns:
      the _orphanSource

  - ### setOrphanColumn

    public void setOrphanColumn(MMDBColumn orphanSource)
    Parameters:
      `orphanSource` - the _orphanSource to set

  - ### getPsuedoCode

    public String getPsuedoCode()
    Returns:
      the pseudoCode

  - ### setPseudoCode

    public void setPseudoCode(String pseudoCode)
    Parameters:
      `pseudoCode` - the pseudoCode to set

  - ### getLookupOn

    public String getLookupOn()
    Returns:
      the lookupOn

  - ### setLookupOn

    public void setLookupOn(String lookupOn)
    Parameters:
      `lookupOn` - the lookupOn to set

  - ### getTransLookupCondition

    public String getTransLookupCondition()
    Returns:
      the transLookupCondition

  - ### setTransLookupCondition

    public void setTransLookupCondition(String transLookupCondition)
    Parameters:
      `transLookupCondition` - the transLookupCondition to set

  - ### getLookupColumn

    public String getLookupColumn()
    Returns:
      the lookupColumn

  - ### setLookupColumn

    public void setLookupColumn(String lookupColumn)
    Parameters:
      `lookupColumn` - the lookupColumn to set

  - ### isLookupUsed

    public boolean isLookupUsed()
    Returns:
      the lookupUsed

  - ### setLookupUsed

    public void setLookupUsed(boolean lookupUsed)
    Parameters:
      `lookupUsed` - the lookupUsed to set

  - ### setLookupUsed

    public void setLookupUsed()

  - ### setMapping

    public void setMapping(MMMapping mapping)
    Parameters:
      `mapping` - the _mapping to set

  - ### getExtendedBusinessRule

    public String getExtendedBusinessRule()
    Returns:
      the extendedBusinessRule

  - ### setExtendedBusinessRule

    public void setExtendedBusinessRule(String extendedBusinessRule)
    Parameters:
      `extendedBusinessRule` - the extendedBusinessRule to set

  - ### getCodesetMappingName

    public String getCodesetMappingName()
    Returns:
      the codesetMappingName

  - ### setCodesetMappingName

    public void setCodesetMappingName(String codesetMappingName)
    Parameters:
      `codesetMappingName` - the codesetMappingName to set

  - ### getSpecificationArtifacts

    public String getSpecificationArtifacts()
    Returns:

  - ### setSpecificationArtifacts

    public void setSpecificationArtifacts(String specificationArtifacts)
    Parameters:
      `specificationArtifacts` -

  - ### getRowOrder

    public float getRowOrder()
    Returns:
      the rowOrder

  - ### setRowOrder

    public void setRowOrder(float rowOrder)
    Parameters:
      `rowOrder` - the rowOrder to set

  - ### isRowStatus

    public boolean isRowStatus()
    Returns:
      the rowStatus

  - ### setRowStatus

    public void setRowStatus(boolean rowStatus)
    Parameters:
      `rowStatus` - the rowStatus to set

  - ### getSequenceId

    public int getSequenceId()
    Returns:
      the sequenceId

  - ### setSequenceId

    public void setSequenceId(int sequenceId)
    Parameters:
      `sequenceId` - the sequenceId to set

  - ### getRowComments

    public String getRowComments()
    Returns:
      the rowComments

  - ### setRowComments

    public void setRowComments(String rowComments)
    Parameters:
      `rowComments` - the rowComments to set

  - ### getUserDefined1

    public String getUserDefined1()
    Returns:
      the userDefined1

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Parameters:
      `userDefined1` - the userDefined1 to set

  - ### getUserDefined2

    public String getUserDefined2()
    Returns:
      the userDefined2

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Parameters:
      `userDefined2` - the userDefined2 to set

  - ### getUserDefined3

    public String getUserDefined3()
    Returns:
      the userDefined3

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Parameters:
      `userDefined3` - the userDefined3 to set

  - ### getUserDefined4

    public String getUserDefined4()
    Returns:
      the userDefined4

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Parameters:
      `userDefined4` - the userDefined4 to set

  - ### getUserDefined5

    public String getUserDefined5()
    Returns:
      the userDefined5

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Parameters:
      `userDefined5` - the userDefined5 to set

  - ### getUserDefined6

    public String getUserDefined6()
    Returns:
      the userDefined6

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Parameters:
      `userDefined6` - the userDefined6 to set

  - ### getUserDefined7

    public String getUserDefined7()
    Returns:
      the userDefined7

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Parameters:
      `userDefined7` - the userDefined7 to set

  - ### getUserDefined8

    public String getUserDefined8()
    Returns:
      the userDefined8

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Parameters:
      `userDefined8` - the userDefined8 to set

  - ### getUserDefined9

    public String getUserDefined9()
    Returns:
      the userDefined9

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Parameters:
      `userDefined9` - the userDefined9 to set

  - ### getUserDefined10

    public String getUserDefined10()
    Returns:
      the userDefined10

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Parameters:
      `userDefined10` - the userDefined10 to set

  - ### getCreatedBy

    public String getCreatedBy()
    Returns:
      the createdBy

  - ### setCreatedBy

    public void setCreatedBy(String createdBy)
    Parameters:
      `createdBy` - the createdBy to set

  - ### getCreatedDateTime

    public Date getCreatedDateTime()
    Returns:
      the createdDateTime

  - ### setCreatedDateTime

    public void setCreatedDateTime(Date createdDateTime)
    Parameters:
      `createdDateTime` - the createdDateTime to set

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Returns:
      the lastModifiedBy

  - ### setLastModifiedBy

    public void setLastModifiedBy(String lastModifiedBy)
    Parameters:
      `lastModifiedBy` - the lastModifiedBy to set

  - ### getLastModifiedDateTime

    public Date getLastModifiedDateTime()
    Returns:
      the lastModifiedDateTime

  - ### setLastModifiedDateTime

    public void setLastModifiedDateTime(Date lastModifiedDateTime)
    Parameters:
      `lastModifiedDateTime` - the lastModifiedDateTime to set

  - ### setKeyValues

    public void setKeyValues(HashMap<String,String> hmKV)

  - ### getKeyValues

    public HashMap<String,String> getKeyValues()

  - ### addKeyValue

    public void addKeyValue(String key, String val)

  - ### removeKeyValue

    public void removeKeyValue(String key)

  - ### getUserDefined11

    public String getUserDefined11()

  - ### setUserDefined11

    public void setUserDefined11(String userDefined11)

  - ### getUserDefined12

    public String getUserDefined12()

  - ### setUserDefined12

    public void setUserDefined12(String userDefined12)

  - ### getUserDefined13

    public String getUserDefined13()

  - ### setUserDefined13

    public void setUserDefined13(String userDefined13)

  - ### getUserDefined14

    public String getUserDefined14()

  - ### setUserDefined14

    public void setUserDefined14(String userDefined14)

  - ### getUserDefined15

    public String getUserDefined15()

  - ### setUserDefined15

    public void setUserDefined15(String userDefined15)

  - ### getUserDefined16

    public String getUserDefined16()

  - ### setUserDefined16

    public void setUserDefined16(String userDefined16)

  - ### getUserDefined17

    public String getUserDefined17()

  - ### setUserDefined17

    public void setUserDefined17(String userDefined17)

  - ### getUserDefined18

    public String getUserDefined18()

  - ### setUserDefined18

    public void setUserDefined18(String userDefined18)

  - ### getUserDefined19

    public String getUserDefined19()

  - ### setUserDefined19

    public void setUserDefined19(String userDefined19)

  - ### getUserDefined20

    public String getUserDefined20()

  - ### setUserDefined20

    public void setUserDefined20(String userDefined20)

  - ### getUserDefined21

    public String getUserDefined21()

  - ### setUserDefined21

    public void setUserDefined21(String userDefined21)

  - ### getUserDefined22

    public String getUserDefined22()

  - ### setUserDefined22

    public void setUserDefined22(String userDefined22)

  - ### getUserDefined23

    public String getUserDefined23()

  - ### setUserDefined23

    public void setUserDefined23(String userDefined23)

  - ### getUserDefined24

    public String getUserDefined24()

  - ### setUserDefined24

    public void setUserDefined24(String userDefined24)

  - ### getUserDefined25

    public String getUserDefined25()

  - ### setUserDefined25

    public void setUserDefined25(String userDefined25)

  - ### getUserDefined26

    public String getUserDefined26()

  - ### setUserDefined26

    public void setUserDefined26(String userDefined26)

  - ### getUserDefined27

    public String getUserDefined27()

  - ### setUserDefined27

    public void setUserDefined27(String userDefined27)

  - ### getUserDefined28

    public String getUserDefined28()

  - ### setUserDefined28

    public void setUserDefined28(String userDefined28)

  - ### getUserDefined29

    public String getUserDefined29()

  - ### setUserDefined29

    public void setUserDefined29(String userDefined29)

  - ### getUserDefined30

    public String getUserDefined30()

  - ### setUserDefined30

    public void setUserDefined30(String userDefined30)

  - ### getUserDefined31

    public String getUserDefined31()

  - ### setUserDefined31

    public void setUserDefined31(String userDefined31)

  - ### getUserDefined32

    public String getUserDefined32()

  - ### setUserDefined32

    public void setUserDefined32(String userDefined32)

  - ### getUserDefined33

    public String getUserDefined33()

  - ### setUserDefined33

    public void setUserDefined33(String userDefined33)

  - ### getUserDefined34

    public String getUserDefined34()

  - ### setUserDefined34

    public void setUserDefined34(String userDefined34)

  - ### getUserDefined35

    public String getUserDefined35()

  - ### setUserDefined35

    public void setUserDefined35(String userDefined35)

  - ### getUserDefined36

    public String getUserDefined36()

  - ### setUserDefined36

    public void setUserDefined36(String userDefined36)

  - ### getUserDefined37

    public String getUserDefined37()

  - ### setUserDefined37

    public void setUserDefined37(String userDefined37)

  - ### getUserDefined38

    public String getUserDefined38()

  - ### setUserDefined38

    public void setUserDefined38(String userDefined38)

  - ### getUserDefined39

    public String getUserDefined39()

  - ### setUserDefined39

    public void setUserDefined39(String userDefined39)

  - ### getUserDefined40

    public String getUserDefined40()

  - ### setUserDefined40

    public void setUserDefined40(String userDefined40)

  - ### getUserDefined41

    public String getUserDefined41()

  - ### setUserDefined41

    public void setUserDefined41(String userDefined41)

  - ### getUserDefined42

    public String getUserDefined42()

  - ### setUserDefined42

    public void setUserDefined42(String userDefined42)

  - ### getUserDefined43

    public String getUserDefined43()

  - ### setUserDefined43

    public void setUserDefined43(String userDefined43)

  - ### getUserDefined44

    public String getUserDefined44()

  - ### setUserDefined44

    public void setUserDefined44(String userDefined44)

  - ### getUserDefined45

    public String getUserDefined45()

  - ### setUserDefined45

    public void setUserDefined45(String userDefined45)

  - ### getUserDefined46

    public String getUserDefined46()

  - ### setUserDefined46

    public void setUserDefined46(String userDefined46)

  - ### getUserDefined47

    public String getUserDefined47()

  - ### setUserDefined47

    public void setUserDefined47(String userDefined47)

  - ### getUserDefined48

    public String getUserDefined48()

  - ### setUserDefined48

    public void setUserDefined48(String userDefined48)

  - ### getUserDefined49

    public String getUserDefined49()

  - ### setUserDefined49

    public void setUserDefined49(String userDefined49)

  - ### getUserDefined50

    public String getUserDefined50()

  - ### setUserDefined50

    public void setUserDefined50(String userDefined50)

  - ### getRdmReferenceTable

    public String getRdmReferenceTable()

  - ### setRdmReferenceTable

    public void setRdmReferenceTable(String rdmReferenceTable)